# -*- coding: utf-8 -*-
"""
Created on 14.12. 2018

@author: philippsen
"""
# Standardregelstrecke im Zustandsraum

import scipy.signal as sig
import numpy as np
import matplotlib.pyplot as plt

a0 = 1/30.
a1 = 10/30.
a2 = 31/30.
b0 = 1/30.
A  = np.array([[0, 1.,0 ],[ 0, 0, 1. ],[ -a0, -a1, -a2]])
b  = np.array([[0.],[ 0. ],[ 1.]])
c  = np.array([b0, 0,0 ])
stand = sig.lti(A, b, c, 0)
t = np.linspace(0, 40)
u = np.ones_like(t)
tout, y, x = sig.lsim(stand,u,t)

plt.plot(t,y)
plt.title('Regelstrecke')
plt.xlabel('t [s]'); plt.ylabel('h(t)')
plt.grid(b=True)

